Post by estroblock » Mon Sep 29, 2014 4:01 pm

Hi All,

TIA.

My website is having some issues. I don't recall changing anything however understand the server was doing some changes.

I get the message.

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/hypnothe/public_html/estroblock.com.au/system/database/mysql.php on line 6
Warning: session_start(): Cannot send session cookie - headers already sent by (output started at /home/hypnothe/public_html/estroblock.com.au/system/database/mysql.php:6) in /home/hypnothe/public_html/estroblock.com.au/system/library/session.php on line 12Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /home/hypnothe/public_html/estroblock.com.au/system/database/mysql.php:6) in /home/hypnothe/public_html/estroblock.com.au/system/library/session.php on line 12Notice: Array to string conversion in /home/hypnothe/public_html/estroblock.com.au/vqmod/vqcache/vq2-catalog_model_tool_image.php on line 167Notice: Array to string conversion in /home/hypnothe/public_html/estroblock.com.au/vqmod/vqcache/vq2-catalog_model_tool_image.php on line 167 - See more at: http://estroblock.com.au/#sthash.a0dlJMar.dpuf


Does any one have any idea why this might be happening?

Thanks

[url.]http://estroblock.com.au/[/url]

Newbie

Posts

Joined
Mon Sep 29, 2014 11:25 am

Post by ADD Creative » Mon Sep 29, 2014 5:14 pm

Look like your host has upgraded to a later version of PHP. However you version of Opencart is still using a old mysql method. What version of OpenCart are you running an what version of PHP are you using?

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by dfumagalli » Mon Sep 29, 2014 6:23 pm

You have 2 issues, and probably the first is not what causes the most issues.

1) Your host has upgraded PHP. Newer versions have deprecated the old "mysql" PHP driver so now it shows a warning blurb. There are free mods to disable it or to (more correctly) make OpenCart use the newer "mysqli" (yeah the added "i" means a lot) driver.

2) You have installed a vQMod based add on dealing with images, which is outdated for your OpenCart version or has a bug.

Heavy OpenCart Customizations. Current project in progress: fleurworld.com


Active Member

Posts

Joined
Tue Aug 20, 2013 3:34 am

Post by estroblock » Mon Sep 29, 2014 9:07 pm

Wow that was quick. You guys are awesome. This at least gives me an idea what i need to look at. I was lost.

Newbie

Posts

Joined
Mon Sep 29, 2014 11:25 am
Who is online

Users browsing this forum: No registered users and 65 guests